<?php
/**
 * class AbstractDbTable
 *
 * @author Alcide_
 */
class AbstractDbTable{
    
    /**
     * le nom de la table
     * @var string 
     */
    protected $_tablename;
    
    protected static $_adapter;
    /**
     * 
     * @param DbAdapter $adapter
     */
    public static function setDefaultAdapter(DbAdapter $adapter){}
    
    /**
     * @return DbAdapter adapter
     */
    public static function getDefaultAdapter(){}

    /**
     * Les méthodes utilsant l'adapter et complétant la partie FROM du DbSelect 
     */
    
    /**
     * @param DbSelect $sql
     * @return DbTableRowset  Ensemble d'enregistrements
     */
    public function fetchAll(DbSelect $sql){}
    /**
     * @param DbSelect $sql
     * @return DbTableRow Un seul enregistrement
     */
    public function fetchOne(DbSelect $sql){}

    public function update(array $data, $where){}

    public function delete($where){}
    
    /**
     * Retourne un objet DbSelect (pour le confort)
     * @return DbSelect objet select
     */
    public function select(){}
    
    /**
     * autres méthode de factorisation du fetch ou autres
     */
}