<?php
/**
 * class MyUserTable
 *
 * @author Alcide_
 */
class MyUserTable extends AbstractDbTable {

    /**
     * le nom de la table
     * @var string 
     */
    protected $_tablename = 'user';

    /**
     * @return DbTableRowset
     */
    public function getCustomUsers() {

        $select = $this->select()
                ->columns(array('id', 'firstname', 'lastname'))
                ->where("firstname LIKE ?", "J%")
                ->andWhere("lastname LIKE ?", "D%");


        return $this->fetchAll($select);
    }

}